# ManagerConnection.DefaultEventTimeout Property
Sets the time in milliseconds the synchronous method will wait for a response and the last response event before throwing a TimeoutException. Default is 5000.

AsterNet Class Library (Sandcastle documentation)

| ManagerConnection DefaultEventTimeout Property

Sets the time in milliseconds the synchronous method will wait for a response and the last response event before throwing a TimeoutException.
Default is 5000.

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public int DefaultEventTimeout { get; set; }

    Public Property DefaultEventTimeout As Integer
    	Get
    	Set

    public:
    property int DefaultEventTimeout {
    	int get ();
    	void set (int value);
    }

    member DefaultEventTimeout : int with get, set

#### Property Value

Type: Int32
See Also

#### Reference

ManagerConnection Class
AsterNET.Manager Namespace